#global pre pre2

Name:           yapet
Version:        1.0
Release:        1%{?pre}%{?dist}
Summary:        Curses based password encryption tool
License:        GPLv3+ with exceptions
URL:            http://www.guengel.ch/myapps/%{name}/
Source0:        http://www.guengel.ch/myapps/%{name}/downloads/%{name}-%{version}%{?pre}.tar.bz2
BuildRequires:  gettext
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel

%description
YAPET is a text based password manager using the Blowfish encryption algorithm.
Because of its small footprint and very few library dependencies, it is suited
for installing on desktop and server systems alike.

%prep
%setup -qn %{name}-%{version}%{?pre}

for f in ./DESIGN ./README
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done

%build
%configure --enable-terminal-title \
           --enable-csv2yapet \
           --enable-pwgen \
           --disable-build-doc \
           --disable-source-doc \
           --disable-install-doc

make CXXFLAGS+="%{optflags}" CFLAGS+="%{optflags}" %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# Console running is Ok.
rm -frv %{buildroot}%{_datadir}/applications/

%find_lang %{name}
%find_lang libyacurs

%files -f %{name}.lang -f libyacurs.lang
%doc AUTHORS COPYING DESIGN LICENSE NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man*/*%{name}*

%changelog
* Thu Feb 27 2014 Christopher Meng <rpm@cicku.me> - 1.0-1
- Update to 1.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.6.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.5.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.4.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.3.pre2
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.2.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 15 2011 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.8-0.1.pre2
- Update

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.7-1
- New upstream release

* Mon Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-2
- Correct License and patch integration
- Add LICENSE to DOC

* Mon Oct 12 2009 Simon Wesp <cassmdodiah@fedoraproject.org> - 0.6-1
- Initial Package build
